gnutls_dtls_set_timeouts(3)

NAME
gnutls_dtls_set_timeouts - API function

SYNOPSIS
#include <gnutls/dtls.h>

void gnutls_dtls_set_timeouts(gnutls_session_t session, unsigned int retrans_timeout, unsigned int total_timeout);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

unsigned int retrans_timeout
    The time at which a retransmission will occur in milliseconds

unsigned int total_timeout
    The time at which the connection will be aborted, in milliseconds.

DESCRIPTION
This function will set the timeouts required for the DTLS handshake protocol. The retransmission timeout is the time after which a message from the peer is not received, the previous messages will be retransmitted. The total timeout is the time after which the handshake will be aborted with GNUTLS_E_TIMEDOUT.

The DTLS protocol recommends the values of 1 sec and 60 seconds respectively, and these are the default values.

To disable retransmissions set a retrans_timeout larger than the total_timeout .

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/